import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _PHAdjustmentData } from "./PHAdjustmentData.js";
export declare class _PHContentEditingInputRequestOptions extends _NSObject {
    static alloc(): _PHContentEditingInputRequestOptions;
    static new(): _PHContentEditingInputRequestOptions;
    init(): _PHContentEditingInputRequestOptions;
    /**
     * Block to be provided by the client, used to determine if the given adjustment data can be handled (i.e. can be decoded and rendered).
     */
    canHandleAdjustmentData(): (arg0: _PHAdjustmentData) => boolean;
    setCanHandleAdjustmentData$(value: (arg0: _PHAdjustmentData) => boolean): void;
    /** Used if data is not available locally and needs to be retrieved from iCloud. */
    networkAccessAllowed(): boolean;
    setNetworkAccessAllowed$(value: boolean): void;
    progressHandler(): ((arg0: number, arg1: NobjcObject) => void) | null;
    setProgressHandler$(value: ((arg0: number, arg1: NobjcObject) => void) | null): void;
}
